.home-slider {
    .swiper {
        height: 800px;
        width: 100% !important;
        padding: 0 !important;
    }

    .swiper-slide {
        flex-shrink: 0;
        width: 100% !important;
        height: 100%;
        position: relative;
        transition-property: transform;

        &.has-overlay {
            .intro-slider {
                &::before {
                    content: '';
                    position: absolute;
                    top: 0;
                    left: 0;
                    width: 100%;
                    height: 100%;
                    z-index: 0;
                    background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), center center;

                }
            }
        }

        .intro-slider {
            // background: linear-gradient(rgba(0,0,0,0.5), rgba(0,0,0,0.5)),  center center;
            width: 100%;
            background-size: cover !important;
            background-repeat: no-repeat !important;
            background-color: rgba(0, 0, 0, 0.5) !important;
            background-position: top center !important;
            /* Here's the same styles we applied to our content-div earlier */
            color: white;
            min-height: calc(100vh - 100px);
            display: flex;
            align-items: center;
            justify-content: center;
            position: relative;



            .entry-info {
                position: relative;
                z-index: 1;
                max-width: 980px;
                line-height: 1.1;
            }
        }


        img {
            width: 100%;
            height: 840px;
            object-fit: cover;
            object-position: center;
        }

        // .entry-info {
        //     position: absolute;
        //     top: 50%;
        //     left: 50%;
        // }
        // &::before {
        //     content: '';
        //     position: absolute;
        //     top: 0;
        //     left: 0;
        // }
    }

    .button-home-slider {
        background-color: transparent;
        border: 2px solid #FEC600;
        color: #FEC600;
        font-size: 18px;
        font-weight: bold;
        text-align: center;
        letter-spacing: 0.07em;
        text-transform: uppercase;
        box-sizing: border-box;
        border-radius: 8px;
        padding: 0 24px;
        line-height: 56px;
        position: relative;
        display: inline-block;

        &::before {
            content: "";
            position: absolute;
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            background: #FEC600;
            -webkit-transform: scaleX(0);
            transform: scaleX(0);
            -webkit-transform-origin: 0 50%;
            transform-origin: 0 50%;
            -webkit-transition-property: transform;
            transition-property: transform;
            -webkit-transition-duration: 0.3s;
            transition-duration: 0.3s;
            -webkit-transition-timing-function: ease-out;
            transition-timing-function: ease-out;
            z-index: -1;
        }

        &:hover {
            color: #735C0D !important;

            &::before {
                -webkit-transform: scaleX(1);
                transform: scaleX(1);
            }
        }
    }
}

.skiptranslate {
    position: fixed;
    // z-index: -9;
}

//seaction 
.section-shortcut-link {
    background-image: url('/front/bg/bg-link-pages.png');
    padding: 16px 0px;
    background-color: #282828;
    border-color: rgba(255, 255, 255, .1);
    background-color: transparent;
    overflow: hidden;
    will-change: transform;
    position: relative;
    width: 100%;

    /* Set a specific height */
    min-height: 432px;

    /* Create the parallax scrolling effect */
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;

    &::before {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background: linear-gradient(0deg, rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.3));
        z-index: -1;
    }

    .content-wrap {
        padding: 0 100px;
    }

    .entry-item {
        margin-bottom: 40px !important;

        .into-icon {
            width: 88px;
            height: 88px;
            border-radius: 50%;
            background: #FFFFFF;
            box-shadow: 0px 4px 8px rgb(176 190 197 / 24%);
            cursor: pointer;
            margin: 0 50px;
            color: #0B2027;
            line-height: 88px;
            text-align: center;


        }

        .intro-title {
            font-weight: 600;

            text-align: center;
            text-transform: capitalize;

        }

        &:hover {
            .into-icon {
                background: #C1ECE5;
                border: 2px solid #019680;
                color: #fff;
            }

            .intro-title {
                color: #019680 !important;
                cursor: pointer;
            }
        }
    }
}

// section
.section-portfolio {
    .gallery {
        --n: 1;
        /* number of rows*/
        --m: 4;
        /* number of columns */
        --g: 0px;
        /* control the gap */
        --f: 0.2;
        /* control the scale factor */

        display: grid;
        gap: var(--g);
        width: 100vw;
        height: 674px;
        max-height: 100vh;
        grid-template-columns: repeat(var(--m), auto);

        .ima-item {
            position: relative;
            width: 0;
            height: 0;
            min-height: 100%;
            min-width: 100%;
            cursor: pointer;
            transition: .35s linear;

            >img {
                width: 100%;
                height: 100%;
                object-fit: cover;
                cursor: pointer;
                filter: grayscale(30%);
                transition: .35s linear;
            }

            &:hover {
                filter: grayscale(0);
                width: calc(100vh*var(--f)/var(--n));
                height: 674px;

                img {
                    filter: grayscale(0);
                }

                &::before {
                    content: none;
                }

                .ima-info {


                    .button-link {
                        display: inline-block;


                    }
                }
            }

            &::before {
                content: "";
                position: absolute;
                top: 0;
                left: 0;
                width: 100%;
                height: 100%;
                z-index: 1;
                background: rgba(0, 0, 0, 0.3);
                transition: .35s linear;
            }

            .ima-info {
                position: absolute;
                top: calc(50% - 78px);
                left: calc(50% - 82px);
                z-index: 2;

                .button-link {
                    display: none;
                }
            }
        }
    }

}


// 
.section-blog-dulich {
    .entry-item {
        position: relative;

        .entry-title {
            position: absolute;
            bottom: 0;
            left: 0;
            z-index: 1;
            min-height: 87px;

            a {
                color: #fff;

            }
        }
    }
}

// ban do

.wrap-dialog-map {

    .MuiPaper-rounded {
        border-radius: 20px;
    }
}

#map {
    position: relative;
    padding: 10px;

    .map-entry-arrow {
        filter: drop-shadow(0 4px 2px rgba(178, 178, 178, .4));
        height: 12px;
        left: 0;
        position: absolute;
        top: 0;
        transform: translateX(-50%);
        width: 25px;

        &::after {
            background: #fff;
            clip-path: polygon(0% 0%, 50% 100%, 100% 0%);
            content: '';
            height: 12px;
            left: 0;
            position: absolute;
            top: -1px;
            width: 25px;
        }
    }

    #content {
        max-width: 220px !important;
        background: #fff;
        box-shadow: 0px 4px 8px rgba(176, 190, 197, 0.24);
        border-radius: 8px;
        overflow: hidden;

        .cover {
            margin-bottom: 20px;
        }

        .firstHeading {
            font-weight: 600;
            font-size: 16px;
            line-height: 23px;
            color: #393E41;
            padding: 0 10px;

            a {
                color: #393E41;

                &:hover {
                    color: #0c6499;
                }
            }
        }

        #bodyContent {
            padding: 10px;

            .description {
                font-size: 15px;
                line-height: 22px;
                color: rgba(57, 62, 65, 0.61);
            }

            .view {
                color: #393e41b8;
            }
        }
    }

    .categoy-map {
        padding: 50px;
        top: 65px;
        color: #fff;
        font-weight: 600;
        font-size: 16px;
        position: absolute;
        background: rgba(57, 62, 65, 0.91);
        border-radius: 0px 8px 8px 0px;

        h3 {
            font-size: 26px;
            margin-bottom: 36px;
            font-weight: 600;
        }

        iframe {
            height: 100%;
        }

        ul {
            list-style: none;
            padding: 0;

            li {
                line-height: 23px;
                margin-bottom: 5px;
                font-size: 14px;

                .checkbox {
                    input {
                        margin-right: 16px;
                    }
                }
            }
        }
    }
}